offer.approve

Approves an offer or a specific approval step within an offer's approval process.

This endpoint mimics the behavior of the "Force Approve" function in the Ashby app, where an admin can override approval for a specific step or entire approval process.

This endpoint can be used in two ways:

  1. Approve entire offer: Call without approvalStepId and userId to approve the entire offer approval process
  2. Approve specific step: Provide both approvalStepId and userId to approve a specific step in the approval process

When approving a specific step, the step must be the current step in the approval process and the user must be an approver for that step. An optional comment can be recorded with either kind of approval. If the organization requires a reason when force-approving, approving the entire offer or approving a step for another user with a blank comment returns force_approve_reason_required.

Requires the offersWrite permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid
required
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The id of the offer version that needs approval. This can be obtained as the entityId from the approval.list endpoint.

^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The id of the specific approval step to approve. If provided, userId must also be provided. If omitted, the entire offer approval process will be approved. This can be obtained from the approval.list endpoint.

^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The id of the user approving the step. Required if approvalStepId is provided. Must be an approver for the specified approval step. Requests sent with the X-On-Behalf-Of header must use the acting user's id.

An optional comment to record with the approval. When approvalStepId and userId are provided, it is saved as that approver's note; otherwise it is saved as the reason for approving the entire offer. If the organization requires a reason when force-approving, it must not be blank when approving the entire offer or approving a step for another user.

If true, omit the form definition from the response.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json